Method: projects.locations.experimentTemplates.list

Lists all experiment templates in a specified project and location.

HTTP request

GET https://faulttesting.googleapis.com/v1alpha/{parent=projects/*/locations/*}/experimentTemplates

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location from which to list experiment templates. Format: projects/{project}/locations/{location}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of templates to return. Fault Injection Testing may return fewer. If unspecified, at most 1000 will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token received from a previous list call, used to retrieve the subsequent page.

When paginating, all other parameters provided to experimentTemplates.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for FaultTesting.ListExperimentTemplates.

If successful, the response body contains data with the following structure:

JSON representation
{
  "experimentTemplates": [
    {
      object (ExperimentTemplate)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
experimentTemplates[]

object (ExperimentTemplate)

The experiment templates from the specified project.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • faulttesting.experimentTemplates.list

For more information, see the IAM documentation.